<template lang="pug">
  div.main Index
    br
    a-button(type="primary" @click="query" v-debounce) ant design
    br
    el-button(type="primary" @click="query" v-debounce) element-ui
    br
    q-btn(color="primary" @click="query") quasar
</template>

<script>
import progress from "@/service/progress";

export default {
  name: "",
  components: {},
  data() {
    return {};
  },
  computed: {},
  watch: {},
  filters: {},
  created() {},
  mounted() {},
  methods: {
    query() {
      progress.showLoading();
      setTimeout(() => {
        progress.hideLoading();
      }, 750);
    }
  }
};
</script>

<style scoped lang="stylus"></style>
